# AccompGANiment

This repository contains a GAN implementation where the generator and discriminator are RNNs, which generaties bass accompaniments for melodies. 
The results from this implementation was used in my Master's Thesis.

The implementation is inspired by the C-RNN-GAN architecture by Olof Mogren, modified to be able to take piano-roll representation as input. 

Source code: https://github.com/olofmogren/c-rnn-gan

Paper: https://arxiv.org/abs/1611.09904

The training data used to obtain the results presented in the Master's Thesis is available from here marked as version 2: https://github.com/wayne391/symbolic-musical-datasets/tree/master/5-track-pianoroll

In order for the code to work out of the box, please create a folder called data/ in the root directory and place the training data inside, with the name training_data.npy.

The capabilities of the system are limited, but it does show some promising behaviour which should be further explored.
