
import numpy as np
import pypianoroll
import glob
path = "output"
sim = 0.

num_samples = len(glob.glob("{}/gen_acc*_isolated.mid".format(path)))

comparisons = 0
for i in range(num_samples-1):
    multitrack = pypianoroll.parse("{0}/gen_acc{1}_isolated.mid".format(path, i+1))
    track1 = multitrack.tracks[0].pianoroll
    for j in range(i+1, num_samples):
        multitrack = pypianoroll.parse("{0}/gen_acc{1}_isolated.mid".format(path, j+1))
        track2 = multitrack.tracks[0].pianoroll
        sim_count = 0
        for k in range(384):
            max_val1 = np.argmax(track1[k])
            max_val2 = np.argmax(track2[k])
            if max_val1 == max_val2:
                sim_count += 1
        temp = float(sim_count) / 384.
        sim += temp
        comparisons += 1

# Calculate average similarity
total_sim = float(sim / comparisons)

print(total_sim)